{% load widget_tweaks %}
{% load static %}
<div id="abstract-purchase-modal"
       class="modal-js modal-order modal_fastBuy"
       data-modal="modal_fastBuy"
       tabindex="-1"
       role="dialog"
       aria-labelledby="1"
       aria-hidden="true">
    <div class="modal-header">
        <button class="modal-close" data-dismiss="modal" aria-label="Close">
            <img src="{% static 'img/icons/menu/Close.svg' %}" alt="" class="img-svg">
        </button>
    </div>
    <h2 class="modal-title"></h2>

    <div class="modal-order__item">

        <img class="modal-order__item__img"/>

        <div class="modal-order__item__name">
            <a class="name" href="#"></a>
        </div>

        <div class="item__count">
            <div class="minus"><img src="{% static 'img/icons/16px/Minus.svg' %}" alt="" class="img-svg"></div>
            <input type="text" name="quantity" value="1 шт">
            <div class="plus"><img src="{% static 'img/icons/16px/Plus.svg' %}" alt="" class="img-svg"></div>
        </div>

        <span class="search-item__price">
            <span class="price"></span>
            <img src="{% static 'img/icons/price.svg' %}" class="currency" alt="рублей">
        </span>
    </div>

    <h3 class="modal-subtitle"></h3>

    <form class="modal-form" method="post" data-yandex-goal>
        {% csrf_token %}
        <input name="product" type="number" id="product_id" hidden required>
        <div class="form-group" id="fastbuyNameField">
            {% render_field form_fast_checkout.first_name class="form-control" id="firstName" placeholder="Как Вас зовут?" data-parsley-required="true" data-parsley-maxlength=form_backcall.name.field.max_length data-parsley-class-handler="#fastbuyNameField" %}
        </div>
        <div class="form-group" id="fastbuyPhoneField">
            {% render_field form_fast_checkout.pack hidden=""  %}
            {% render_field form_fast_checkout.quantity hidden=""  %}
            {% render_field form_fast_checkout.phone_number class="modal-input" id="fastbuyPhone" data-parsley-required="true"  data-parsley-class-handler="#fastbuyPhoneField"  data-parsley-validate-phone-number="" %}
        </div>

        <div class="modal-form__footer">
            <div class="shares-warning">
                Нажатием кнопки «Отправить» я даю свое <a href="{% url 'personal' %}" target="_blank">согласие на обработку персональных данных</a>
            </div>
            <button class="shares-button modal_confirmation-open" type="submit" data-project="fastBuy" data-modal="modal_confirmation">Отправить</button>
        </div>
    </form>
</div>